PETSc version 3.15.5
Fix/Edit manual page

# LandauIJacobian

TS Jacobian construction

### Synopsis

    #include "petscdmplex.h"
    #include "petsclandau.h"
    PetscErrorCode LandauIJacobian(TS ts, PetscReal time_dummy, Vec X, Vec U_tdummy, PetscReal shift, Mat Amat, Mat Pmat, void *actx)

Collective on ts

### Input Parameters

+ TS - The time stepping context . time_dummy - current time (not used) - X - Current state + U_tdummy - Time derivative of current state (not used) . shift - shift for du/dt term - actx - Landau context

### Output Parameter

. Amat - Jacobian + Pmat - same as Amat

.keywords: mesh .seealso: LandauCreateVelocitySpace(), LandauIFunction()

### Level

beginner

### Location

src/ts/utils/dmplexlandauplexland.c

### Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c.html
src/ts/utils/dmplexlandau/tutorials/ex2.c.html
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90.html
Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages